summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Petar Petrov2014-05-26 04:23:18 +0200
committer Willy Sudiarto Raharjo2014-05-28 18:45:35 +0200
commit703822d225fa66f4eef3f7d02f46553aaeee5d87 (patch)
tree749b633c18093f19ee1f1417092db36054a5c59f /academic
parentda8accbc1b557f31c0c7141897a6da324eb89b9e (diff)
downloadslackbuilds-703822d225fa66f4eef3f7d02f46553aaeee5d87.tar.gz
academic/zotero: Added (Manage and share research sources).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/zotero/README15
-rw-r--r--academic/zotero/doinst.sh3
-rw-r--r--academic/zotero/slack-desc19
-rw-r--r--academic/zotero/zotero.SlackBuild87
-rw-r--r--academic/zotero/zotero.desktop7
-rw-r--r--academic/zotero/zotero.info10
-rw-r--r--academic/zotero/zotero.pngbin0 -> 4963 bytes
7 files changed, 141 insertions, 0 deletions
diff --git a/academic/zotero/README b/academic/zotero/README
new file mode 100644
index 0000000000..99325dbae1
--- /dev/null
+++ b/academic/zotero/README
@@ -0,0 +1,15 @@
+Zotero [zoh-TAIR-oh] is a free, easy-to-use tool to help you collect,
+organize, cite, and share your research sources.
+
+Zotero is the only research tool that automatically senses content in
+your web browser, allowing you to add it to your personal library with
+a single click. Whether you're searching for a preprint on arXiv.org,
+a journal article from JSTOR, a news story from the New York Times, or
+a book from your university library catalog, Zotero has you covered
+with support for thousands of sites.
+
+Zotero collects all your research in a single, searchable interface.
+You can add PDFs, images, audio / video files, snapshots of web pages,
+and really anything else. Zotero automatically indexes the full-text
+content of your library, enabling you to find exactly what you are
+looking for with just a few keystrokes.
diff --git a/academic/zotero/doinst.sh b/academic/zotero/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/academic/zotero/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/academic/zotero/slack-desc b/academic/zotero/slack-desc
new file mode 100644
index 0000000000..07b232a414
--- /dev/null
+++ b/academic/zotero/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+zotero: zotero (Collect, organize, cite, and share research sources)
+zotero:
+zotero: Zotero automatically senses content in your web browser, allowing
+zotero: you to add it to your personal library. Zotero collects all your
+zotero: research in a single, searchable interface. You can add PDFs,
+zotero: images, audio / video files, snapshots of web pages, and really
+zotero: anything else. Zotero automatically indexes the full-text content
+zotero: of your library, enabling you to find exactly what you are looking
+zotero: for with just a few keystrokes.
+zotero:
+zotero: Home: https://www.zotero.org/
diff --git a/academic/zotero/zotero.SlackBuild b/academic/zotero/zotero.SlackBuild
new file mode 100644
index 0000000000..ddabc8aaa4
--- /dev/null
+++ b/academic/zotero/zotero.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for Zotero
+
+# Copyright 2014 Petar Petrov, petar.petrov@student.oulu.fi
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=zotero
+SRCNAM=Zotero
+VERSION=${VERSION:-4.0.20}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i686 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+if [ "$ARCH" != "i686" ] && [ "$ARCH" != "x86_64" ]; then
+ printf "\n\n$ARCH is not supported... \n"
+ exit 1
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${SRCNAM}_linux-${ARCH}
+tar xvf $CWD/${SRCNAM}-${VERSION}_linux-${ARCH}.tar.bz2
+cd ${SRCNAM}_linux-${ARCH}
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Enter path
+sed -i -e 's:MOZ_PROGRAM="":MOZ_PROGRAM="/opt/zotero/zotero":g' run-zotero.sh
+
+mkdir -p $PKG/{usr/bin,opt/$PRGNAM}
+ cp -a * $PKG/opt/$PRGNAM
+ ln -s /opt/$PRGNAM/run-zotero.sh $PKG/usr/bin/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/opt/$PRGNAM/{COPYING,README.md} $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+cp $CWD/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/zotero/zotero.desktop b/academic/zotero/zotero.desktop
new file mode 100644
index 0000000000..8082a7133a
--- /dev/null
+++ b/academic/zotero/zotero.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Type=Application
+Name=Zotero Standalone
+Icon=zotero.png
+Exec=zotero %f
+Categories=Office
+Terminal=false
diff --git a/academic/zotero/zotero.info b/academic/zotero/zotero.info
new file mode 100644
index 0000000000..89ae9c7e65
--- /dev/null
+++ b/academic/zotero/zotero.info
@@ -0,0 +1,10 @@
+PRGNAM="zotero"
+VERSION="4.0.20"
+HOMEPAGE="https://www.zotero.org/"
+DOWNLOAD="https://download.zotero.org/standalone/4.0.20/Zotero-4.0.20_linux-i686.tar.bz2"
+MD5SUM="3d0d32794a231fe2c4227bbf9ef0b2ac"
+DOWNLOAD_x86_64="https://download.zotero.org/standalone/4.0.20/Zotero-4.0.20_linux-x86_64.tar.bz2"
+MD5SUM_x86_64="d9fdd6762b56aa80c40e4ce39f10dca8"
+REQUIRES=""
+MAINTAINER="Petar Petrov"
+EMAIL="petar.petrov@student.oulu.fi"
diff --git a/academic/zotero/zotero.png b/academic/zotero/zotero.png
new file mode 100644
index 0000000000..fe80851fb3
--- /dev/null
+++ b/academic/zotero/zotero.png
Binary files differ